Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

# Class ForwardingCompareInput

java.lang.Object
com.google.common.collect.ForwardingObject
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.ForwardingCompareInput

All Implemented Interfaces:
  `org.eclipse.compare.structuremergeviewer.ICompareInput`

Direct Known Subclasses:
  `ForwardingCompareInputAdapter`, `NoDifferencesCompareInput`, `NoSelectedItemCompareInput`, `NoVisibleItemCompareInput`, `OnlyPseudoConflictsCompareInput`

public abstract class ForwardingCompareInput extends com.google.common.collect.ForwardingObject implements org.eclipse.compare.structuremergeviewer.ICompareInput

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ForwardingCompareInput.ForwardingTypedElement`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ForwardingCompareInput(org.eclipse.compare.structuremergeviewer.ICompareInput delegate)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCompareInputChangeListener(org.eclipse.compare.structuremergeviewer.ICompareInputChangeListener listener)`
`void`
`copy(boolean leftToRight)`
`protected ForwardingCompareInput.ForwardingTypedElement`
`createForwardingTypedElement(org.eclipse.compare.ITypedElement typedElement)`
`final org.eclipse.compare.structuremergeviewer.ICompareInput`
`delegate()`
`protected void`
`fireChange()`
Fire a compare input change event.
`org.eclipse.compare.ITypedElement`
`getAncestor()`
`org.eclipse.swt.graphics.Image`
`getImage()`
`int`
`getKind()`
`org.eclipse.compare.ITypedElement`
`getLeft()`
`String`
`getName()`
`org.eclipse.compare.ITypedElement`
`getRight()`
`void`
`removeCompareInputChangeListener(org.eclipse.compare.structuremergeviewer.ICompareInputChangeListener listener)`

### Methods inherited from class com.google.common.collect.ForwardingObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ForwardingCompareInput

protected ForwardingCompareInput(org.eclipse.compare.structuremergeviewer.ICompareInput delegate)

## Method Details

### delegate

public final org.eclipse.compare.structuremergeviewer.ICompareInput delegate()

Specified by:
  `delegate` in class `com.google.common.collect.ForwardingObject`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.getName()`

### getImage

public org.eclipse.swt.graphics.Image getImage()

Specified by:
  `getImage` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.getImage()`

### getKind

public int getKind()

Specified by:
  `getKind` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.getKind()`

### getAncestor

public org.eclipse.compare.ITypedElement getAncestor()

Specified by:
  `getAncestor` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.getAncestor()`

### createForwardingTypedElement

protected ForwardingCompareInput.ForwardingTypedElement createForwardingTypedElement(org.eclipse.compare.ITypedElement typedElement)

### getLeft

public org.eclipse.compare.ITypedElement getLeft()

Specified by:
  `getLeft` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.getLeft()`

### getRight

public org.eclipse.compare.ITypedElement getRight()

Specified by:
  `getRight` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.getRight()`

### addCompareInputChangeListener

public void addCompareInputChangeListener(org.eclipse.compare.structuremergeviewer.ICompareInputChangeListener listener)

Specified by:
  `addCompareInputChangeListener` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.addCompareInputChangeListener(org.eclipse.compare.structuremergeviewer.ICompareInputChangeListener)`

### removeCompareInputChangeListener

public void removeCompareInputChangeListener(org.eclipse.compare.structuremergeviewer.ICompareInputChangeListener listener)

Specified by:
  `removeCompareInputChangeListener` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.removeCompareInputChangeListener(org.eclipse.compare.structuremergeviewer.ICompareInputChangeListener)`

### fireChange

protected void fireChange()
Fire a compare input change event. This method must be called from the UI thread.

### copy

public void copy(boolean leftToRight)

Specified by:
  `copy` in interface `org.eclipse.compare.structuremergeviewer.ICompareInput`
See Also:
  - `ICompareInput.copy(boolean)`